package main;

import java.util.Scanner;

public class ConsoleReader {
	Scanner in;
	public ConsoleReader() {
		in = new Scanner(System.in);
		read();
	}
	
	private void read() {
		printMenu();
		String msg;
		while(true) {
			while(in.hasNextLine()) {
				msg = in.nextLine();
				System.out.println(msg);
				String[] args = msg.split(" ");
				switch(args[0]) {
				case "set":
					switch(args [1]) {
					case "actor":
						break;
					case "director":
						break;
					case "film":
						break;
					case "genre":
						break;
					case "limit":
						break;
					default:
						System.out.println("bla helptext bla");
					}
					break;
				case "show":
					switch(args [1]) {
					case "actor":
						break;
					case "director":
						break;
					case "film":
						break;
					case "genre":
						break;
					case "limit":
						break;
					default:
						System.out.println("bla helptext bla");
					}
					break;
				case "42":
					System.out.println("is the answer to life the universe and everything.");
					break;
				case "random":
					System.out.println("are you really bored enough to search for random movies? get a life!!");
				case "go":
				case "run":
				case "exploit":
					executeSearch();
					break;
				case "help":
				default:
					System.out.println("dafuq nigga");
				}
			}
		}
	}
	
	private void executeSearch() {
		
	}
	
	private void printMenu() {
		System.out.println("MovieDB interactive Mode");
	}
}
